## Apache Zeta Components Manual :: Docs For Class ezcWebdavResourceTypeProperty

### Webdav::ezcWebdavResourceTypeProperty

### Class ezcWebdavResourceTypeProperty

An object of this class represents the Webdav property <resourcetype>.

Source for this file: /Webdav/src/properties/resourcetype.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty
          |
          --ezcWebdavLiveProperty
             |
             --ezcWebdavResourceTypeProperty

Version: | //autogentag//

### Constants

`TYPE_COLLECTION = 2` | Indicates that a resource is a collection.
`TYPE_RESOURCE = 1` | Indicates that a resource is a non-collection.
`TYPE_RESSOURCE = self::TYPE_RESOURCE` | Kept for BC reasons. Has the same value as ezcWebdavResourceTypeProperty::TYPE_RESOURCE.

### Properties

string | read/write | `$type` The resource type (free form).

### Inherited Member Variables

From ezcWebdavProperty
protected | `ezcWebdavProperty::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( [ $type = null] )` Creates a new ezcWebdavResourceTypeProperty.
public bool | `hasNoContent( )` Returns if property has no content.

### Inherited Methods

From ezcWebdavLiveProperty
public void | `ezcWebdavLiveProperty::__construct()` Creates a new live property.
From ezcWebdavProperty
public void | `ezcWebdavProperty::__construct()` Creates a new property object.
public void | `ezcWebdavProperty::clear()` Remove all contents from a property.
protected void | `ezcWebdavProperty::hasError()` Indicates that a property has a validation error.
public abstract bool | `ezcWebdavProperty::hasNoContent()` Check if property has no content.
public void | `ezcWebdavProperty::__clone()` Clones a property deeply.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( [int $type = null] )

Creates a new ezcWebdavResourceTypeProperty.

The given $type indicates either a collection or non-collection resource (self::TYPE_COLLECTION or self::TYPE_RESOURCE).

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavLiveProperty::__construct()` | Creates a new live property.

#### hasNoContent

bool hasNoContent( )

Returns if property has no content.

Returns true, if the property has no content stored.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::hasNoContent()` | Check if property has no content.

Documentation generated by phpDocumentor 1.4.3